FragAPI
API Endpoints

Buy Premium

POST
/v1/premium/buy

Buy premium subscription for a user.

Authorization

AuthorizationBearer <token>

User session scheme

In: header

Scope: premium

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

username*Username

Telegram username of the user to whom gift Premium

showSender?Showsender

Show telegram sender

months*PremiumMonths

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/premium/buy" \  -H "Content-Type: application/json" \  -d '{    "username": "string",    "months": 3  }'
{  "messageHash": "string",  "transactionId": "string",  "photo": "string",  "name": "string",  "amount": 1,  "avatarUrl": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}